import 'package:get/get.dart';
import 'package:naiyouwl/app/clash/service/clash_service.dart';
import 'package:naiyouwl/app/controller/GlobalController.dart';
import 'package:naiyouwl/app/controller/config.dart';
import 'package:naiyouwl/app/controller/core.dart';
import 'package:naiyouwl/app/controller/dialog.dart';
import 'package:naiyouwl/app/controller/service.dart';
import 'package:naiyouwl/app/controller/tray.dart';
import 'package:naiyouwl/app/controller/window.dart';




class Controllers {
  late final TrayController tray;
  late final WindowController window;
 // late final ProtocolController protocol;

  late final CoreController core;
  late final ConfigController config;
  late final ClashService service;
  late final ServiceController cc_service;
  late final GlobalController  global;
  late final DialogController  dialog;
  // late final PageLogController pageLog;
  // late final PageMainController pageMain;
  // late final PageHomeController pageHome;
  // late final PageRuleController pageRule;
  // late final PageProxieController pageProxie;
  // late final PageProfileController pageProfile;
  // late final PageSettingController pageSetting;
  // late final PageConnectionController pageConnection;

  void init() {
    tray = Get.find();
    window = Get.find();
    //protocol = Get.find();

    core = Get.find();
    config = Get.find();
    service = Get.find();
    global = Get.find();
    dialog = Get.find();
    cc_service = Get.find();
    // pageLog = Get.find();
    // pageMain = Get.find();
    // pageHome = Get.find();
    // pageRule = Get.find();
    // pageProxie = Get.find();
    // pageProfile = Get.find();
    // pageSetting = Get.find();
    // pageConnection = Get.find();
  }
}

final controllers = Controllers();
